Set ACE Config
Update the ACE configuration for a server.
PATCH https://api.sonorancms.com/v2/community/servers/1/ace-config
Rate limit:
18 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.
Update the ACE configuration for a server.
Route Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| serverId | number | Yes | Target serverId. |
Request Body
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| mappings | array | Yes | See example request for the shape. |
Example Request
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local serverId = 1
local payload = {
["mappings"] = {
{
["discordRoleId"] = "1234567890",
["aceGroup"] = "admin"
}
}
}
local response = sonoran.cms:setAceConfigV2(serverId, payload)
if response.success then
print(response.data)
else
print(response.reason)
endResponse
The data object is the updated ACE config wrapper with the saved mappings array.
Last updated
Was this helpful?

